Get Raw Model Data

For applications where performance is of high importance, the raw API can be used to access data for each data model directly without calculations, manipulations or user level security.

Please note however that as this API is designed for performance and returns data from the data model in its source form. As such, the response data model is subject to change without notice and backwards compatibility is not guaranteed.

WARNING: The API is only accessible using access tokens assigned to an account with superuser or service level permissions and can therefore see all data.

The app_label is the name of the app category to query. The model_name is the name of the data model under the app category. For a full list of models and fields, see /api/v1/raw_model_list.

Filters can be applied using the filter_expression parameter in addition to the query parameters defined below. For a complete description of filtering using filter expressions, see Filtering List APIs.

NOTE: The previous method for filtering Raw APIs (Raw API Filtering) is still functional but has been deprecated. Please use the filter_expression parameter instead.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The app category of the data model to query. See /api/v1/raw_model_list/.

string
required
string
required

The name of the data model under the app category. See /api/v1/raw_model_list/.

Query Params
string

A comma-delimited list of fields that should be returned in the API call. If the fields parameter is omitted or empty, all fields will be returned.

If any of the fields listed in the fields parameter do not exist, these fields will be ignored and only the fields that do exist in the dataset will be returned. No error will be raised if field names are included that do not exist in the data set.

string

Additional filter criteria including column names, functions and operators.

For a complete description of filtering using filter expression, see Filter Expressions.

integer
Defaults to 1000

The number of records returned in the single call. See API Paging.

integer
Defaults to 0

The number of records to skip. The offset value is usually equal to the page_number * limit. See API Paging.

Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json